std::__detail::_SpecializedCursor< _FwdIterT >(3)

NAME
std::__detail::_SpecializedCursor< _FwdIterT > -

SYNOPSIS

Inherits std::__detail::_PatternCursor.

  Public Member Functions
_SpecializedCursor (const _FwdIterT &__b, const _FwdIterT __e)
bool _M_at_end () const
const _FwdIterT & _M_begin () const
std::iterator_traits
< _FwdIterT >::value_type _M_current () const "
const _FwdIterT & _M_end () const
void _M_next ()
_FwdIterT _M_pos () const

Detailed Description

  template<typename _FwdIterT>class std::__detail::_SpecializedCursor< _FwdIterT >
Provides a cursor into the specific target string.

Definition at line 53 of file regex_cursor.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.